XnModuleCppInterface.h File Reference
`#include "XnModuleInterface.h"`
`#include "XnListT.h"`
`#include "XnCppWrapper.h"`

Go to the source code of this file.

## Classes

class | xn::Module
class | xn::ExtensionModule
class | xn::ModuleExportedProductionNode
class | xn::ModuleExtendedSerializationInterface
class | xn::ModuleLockAwareInterface
class | xn::ModuleErrorStateInterface
class | xn::ModuleGeneralIntInterface
class | xn::ModuleProductionNode
class | xn::ModuleDeviceIdentificationInterface
class | xn::ModuleDevice
class | xn::ModuleMirrorInterface
class | xn::ModuleAlternativeViewPointInterface
class | xn::ModuleFrameSyncInterface
class | xn::ModuleGenerator
class | xn::ModuleNodeNotifications
class | xn::ModuleRecorder
class | xn::ModulePlayer
class | xn::ModuleCroppingInterface
class | xn::ModuleAntiFlickerInterface
class | xn::ModuleMapGenerator
class | xn::ModuleUserPositionInterface
class | xn::ModuleDepthGenerator
class | xn::ModuleImageGenerator
class | xn::ModuleIRGenerator
class | xn::ModuleGestureGenerator
class | xn::ModuleSceneAnalyzer
class | xn::ModuleHandTouchingFOVEdgeInterface
class | xn::ModuleHandsGenerator
class | xn::ModuleSkeletonInterface
class | xn::ModulePoseDetectionInteface
class | xn::ModuleUserGenerator
class | xn::ModuleAudioGenerator
class | xn::ModuleCodec
class | xn::ModuleScriptNode

## Namespaces

namespace | xn

## Typedefs

typedef XnListT< XnModuleGetExportedInterfacePtr > | xn::ExportedNodesList